## org.eclipse.xsd
Interface XSDAttributeGroupDefinition

All Superinterfaces:
  EObject, Notifier, XSDAttributeGroupContent, XSDComponent, XSDConcreteComponent, XSDNamedComponent, XSDRedefinableComponent, XSDRedefineContent, XSDSchemaContent

All Known Implementing Classes:
  XSDAttributeGroupDefinitionImpl

    public interface XSDAttributeGroupDefinition

extends XSDRedefinableComponent, XSDAttributeGroupContent, XSDRedefineContent

A representation of the model object 'Attribute Group Definition'.

The following features are supported:

- `Attribute Group Definition Reference`
- `Annotation`
- `Contents`
- `Attribute Uses`
- `Attribute Wildcard Content`
- `Attribute Wildcard`
- `Resolved Attribute Group Definition`
- `Synthetic Wildcard`

See Also:
  `XSDPackage.getXSDAttributeGroupDefinition()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`EList<XSDAttributeUse>` `getAttributeUses()` Returns the value of the 'Attribute Uses' reference list.
`XSDWildcard` `getAttributeWildcard()` Returns the value of the 'Attribute Wildcard' reference
`XSDWildcard` `getAttributeWildcardContent()` Returns the value of the 'Attribute Wildcard Content' containment reference
`EList<XSDAttributeGroupContent>` `getContents()` Returns the value of the 'Contents' containment reference list.
`XSDAttributeGroupDefinition` `getResolvedAttributeGroupDefinition()` Returns the value of the 'Resolved Attribute Group Definition' reference
`XSDWildcard` `getSyntheticWildcard()` Returns the value of the 'Synthetic Wildcard' containment reference
`boolean` `isAttributeGroupDefinitionReference()` Returns the value of the 'Attribute Group Definition Reference' attribute
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setAttributeWildcard(XSDWildcard value)` Sets the value of the '`Attribute Wildcard`' reference
`void` `setAttributeWildcardContent(XSDWildcard value)` Sets the value of the '`Attribute Wildcard Content`' containment reference
`void` `setResolvedAttributeGroupDefinition(XSDAttributeGroupDefinition value)` Sets the value of the '`Resolved Attribute Group Definition`' reference
`void` `setSyntheticWildcard(XSDWildcard value)` Sets the value of the '`Synthetic Wildcard`' containment reference

Methods inherited from interface org.eclipse.xsd.XSDRedefinableComponent
`isCircular`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isAttributeGroupDefinitionReference

    boolean isAttributeGroupDefinitionReference()

  Returns the value of the 'Attribute Group Definition Reference' attribute.

  This concrete attribute is equivalent to

        xsdAttributeGroupDefinition != xsdAttributeGroupDefinition.getResolvedAttributeGroupDefinition()

  An infoset feature will never return an instance for which this is the `true` since this is a concrete attribute that is used to represent an attribute group definition with a ref attribute.

  Returns:
    the value of the 'Attribute Group Definition Reference' attribute.
  See Also:
    `XSDPackage.getXSDAttributeGroupDefinition_AttributeGroupDefinitionReference()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This represents the annotation infoset property.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDAttributeGroupDefinition_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

### getContents

    EList<XSDAttributeGroupContent> getContents()

  Returns the value of the 'Contents' containment reference list. The list contents are of type `XSDAttributeGroupContent`.

  This concrete reference represents the contents defined within the body of an attributeGroup element.

  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDAttributeGroupDefinition_Contents()`

### getAttributeUses

    EList<XSDAttributeUse> getAttributeUses()

  Returns the value of the 'Attribute Uses' reference list. The list contents are of type `XSDAttributeUse`.

  This represents the attribute uses infoset property. It is computed from the `contents` and should typically not be set directly.

  Returns:
    the value of the 'Attribute Uses' reference list.
  See Also:
    `XSDPackage.getXSDAttributeGroupDefinition_AttributeUses()`

### getAttributeWildcardContent

    XSDWildcard getAttributeWildcardContent()

  Returns the value of the 'Attribute Wildcard Content' containment reference.

  This concrete reference represents the attribute wildcard defined within the body of an attributeGroup element.

  Returns:
    the value of the 'Attribute Wildcard Content' containment reference.
  See Also:
    `setAttributeWildcardContent(XSDWildcard)`, `XSDPackage.getXSDAttributeGroupDefinition_AttributeWildcardContent()`

### setAttributeWildcardContent

    void setAttributeWildcardContent(XSDWildcard value)

  Sets the value of the '`Attribute Wildcard Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Attribute Wildcard Content' containment reference.
  See Also:
    `getAttributeWildcardContent()`

### getAttributeWildcard

    XSDWildcard getAttributeWildcard()

  Returns the value of the 'Attribute Wildcard' reference.

  This represents the attribute wildcard infoset property. It is computed from the `attribute wildcard content` and should typically not be set directly.

  Returns:
    the value of the 'Attribute Wildcard' reference.
  See Also:
    `setAttributeWildcard(XSDWildcard)`, `XSDPackage.getXSDAttributeGroupDefinition_AttributeWildcard()`

### setAttributeWildcard

    void setAttributeWildcard(XSDWildcard value)

  Sets the value of the '`Attribute Wildcard`' reference.

  Parameters:
    `value` - the new value of the 'Attribute Wildcard' reference.
  See Also:
    `getAttributeWildcard()`

### getResolvedAttributeGroupDefinition

    XSDAttributeGroupDefinition getResolvedAttributeGroupDefinition()

  Returns the value of the 'Resolved Attribute Group Definition' reference.

  This concrete reference represents the attribute group definition resolved by the ref attribute.

  Returns:
    the value of the 'Resolved Attribute Group Definition' reference.
  See Also:
    `setResolvedAttributeGroupDefinition(XSDAttributeGroupDefinition)`, `XSDPackage.getXSDAttributeGroupDefinition_ResolvedAttributeGroupDefinition()`

### setResolvedAttributeGroupDefinition

    void setResolvedAttributeGroupDefinition(XSDAttributeGroupDefinition value)

  Sets the value of the '`Resolved Attribute Group Definition`' reference.

  Parameters:
    `value` - the new value of the 'Resolved Attribute Group Definition' reference.
  See Also:
    `getResolvedAttributeGroupDefinition()`

### getSyntheticWildcard

    XSDWildcard getSyntheticWildcard()

  Returns the value of the 'Synthetic Wildcard' containment reference.

  This contains the attribute wildcard infoset property, if the rules require a synthesized component.

  Returns:
    the value of the 'Synthetic Wildcard' containment reference.
  See Also:
    `setSyntheticWildcard(XSDWildcard)`, `XSDPackage.getXSDAttributeGroupDefinition_SyntheticWildcard()`

### setSyntheticWildcard

    void setSyntheticWildcard(XSDWildcard value)

  Sets the value of the '`Synthetic Wildcard`' containment reference.

  Parameters:
    `value` - the new value of the 'Synthetic Wildcard' containment reference.
  See Also:
    `getSyntheticWildcard()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.